## org.eclipse.emf.ecore
Interface EStructuralFeature.Internal.DynamicValueHolder

All Known Subinterfaces:
  BasicEObjectImpl.EPropertiesHolder

All Known Implementing Classes:
  BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl, DynamicEObjectImpl, DynamicEObjectImpl.BasicEMapEntry, DynamicEObjectImpl.DynamicEPropertiesHolderImpl, DynamicEStoreEObjectImpl, EStoreEObjectImpl, EStoreEObjectImpl.EStoreEPropertiesHolderImpl, EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl

Enclosing interface:
  EStructuralFeature.Internal

    public static interface EStructuralFeature.Internal.DynamicValueHolder

An API for the backing store that holds dynamic values.

Field Summary
`static java.lang.Object` `NIL` An object use to represent being set to null `null` as opposed to having no value and hence being in the default state.

Method Summary
`java.lang.Object` `dynamicGet(int dynamicFeatureID)` Returns the value of the feature.
`void` `dynamicSet(int dynamicFeatureID, java.lang.Object newValue)` Sets the value of the feature to the new value.
`void` `dynamicUnset(int dynamicFeatureID)` Unsets the value of the feature.

Field Detail

### NIL

    static final java.lang.Object NIL

  An object use to represent being set to null `null` as opposed to having no value and hence being in the default state.

Method Detail

### dynamicGet

    java.lang.Object dynamicGet(int dynamicFeatureID)

  Returns the value of the feature.

  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
  Returns:
    the value of the feature.

### dynamicSet

    void dynamicSet(int dynamicFeatureID,
                    java.lang.Object newValue)

  Sets the value of the feature to the new value.

  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
    `newValue` - the new value for the feature.

### dynamicUnset

    void dynamicUnset(int dynamicFeatureID)

  Unsets the value of the feature.

  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.